#pragma once

#include "CoreMinimal.h"
#include "UObject/NoExportTypes.h"
#include "EArchivesStoryLevelStatus.h"
#include "ArchiveStoryLevelViewData.generated.h"

UCLASS(Blueprintable)
class DBDUIVIEWINTERFACES_API UArchiveStoryLevelViewData : public UObject
{
	GENERATED_BODY()

public:
	UPROPERTY(BlueprintReadWrite, Transient)
	int32 Level;

	UPROPERTY(BlueprintReadWrite, Transient)
	EArchivesStoryLevelStatus Status;

	UPROPERTY(BlueprintReadWrite, Transient)
	FDateTime StartDate;

public:
	UArchiveStoryLevelViewData();
};

FORCEINLINE uint32 GetTypeHash(const UArchiveStoryLevelViewData) { return 0; }
